/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.nlpack.generator.message;

/**
 * blancoNLpackGenerator が内部的に利用するメッセージ。
 */
public class BlancoNLpackGeneratorMessage {
    /**
     * メッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final BlancoNLpackGeneratorMessageResourceBundle fBundle = new BlancoNLpackGeneratorMessageResourceBundle();

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBI001]の文字列を取得します。
     *
     * No.2:
     * 文字列[sourcedirとして指定されたディレクトリ[{0}]は存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebi001(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebi001]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBI001] " + fBundle.getMbebi001(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBI003]の文字列を取得します。
     *
     * No.4:
     * 文字列[与えられたファイル名[{0}]は [.jar]で終わっていません。[.jar]で終わるファイル名を与えてください。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebi003(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebi003]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBI003] " + fBundle.getMbebi003(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBI004]の文字列を取得します。
     *
     * No.5:
     * 文字列[結果ログファイル・サマリ({0})の作成に失敗しました。:{1}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbebi004(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebi004]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbebi004]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBI004] " + fBundle.getMbebi004(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBI005]の文字列を取得します。
     *
     * No.6:
     * 文字列[結果ログファイル・詳細({0})の作成に失敗しました。:{1}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbebi005(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebi005]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbebi005]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBI005] " + fBundle.getMbebi005(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBC001]の文字列を取得します。
     *
     * No.9:
     * 文字列[CSVファイル書き出しの際に例外が発生しました。:{0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebc001(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebc001]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBC001] " + fBundle.getMbebc001(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBC002]の文字列を取得します。
     *
     * No.10:
     * 文字列[プログラムで通過してはならない箇所を通過しようとしました。バンドルURI[{0}]、キー[{1}]。(入力に nullが与えられようとしました。)]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbebc002(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebc002]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbebc002]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBC002] " + fBundle.getMbebc002(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBC003]の文字列を取得します。
     *
     * No.11:
     * 文字列[プログラムで通過してはならない箇所を通過しようとしました。バンドルURI[{0}]、キー[{1}]。(出力に nullが与えられようとしました。)]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbebc003(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebc003]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbebc003]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBC003] " + fBundle.getMbebc003(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBP001]の文字列を取得します。
     *
     * No.14:
     * 文字列[Pleiades辞書の読み込み処理に失敗しました。(Pleiadesクラスのロードに失敗した場合や 関連するクラスのロードに失敗、あるいは confディレクトリの読み込みに失敗したなどの現象が想定されます。): {0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebp001(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebp001]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBP001] " + fBundle.getMbebp001(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBMR01]の文字列を取得します。
     *
     * No.17:
     * 文字列[Manifest読込: java.util.jar.Manifest からメインアトリビュートの取得 (getMainAttributes) に失敗しました。{0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebmr01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebmr01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBMR01] " + fBundle.getMbebmr01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBMR02]の文字列を取得します。
     *
     * No.18:
     * 文字列[Manifest読込: マニフェスト内の バンドル名 (Bundle-Name アトリビュート) を取得することができませんでした。]
     *
     * @return メッセージ文字列。
     */
    public String getMbebmr02() {
        return "[MBEBMR02] " + fBundle.getMbebmr02();
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBMR03]の文字列を取得します。
     *
     * No.19:
     * 文字列[Manifest読込: マニフェスト内の バンドルシンボル名 (Bundle-SymbolicName アトリビュート) を取得することができませんでした。]
     *
     * @return メッセージ文字列。
     */
    public String getMbebmr03() {
        return "[MBEBMR03] " + fBundle.getMbebmr03();
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBMR04]の文字列を取得します。
     *
     * No.20:
     * 文字列[Manifest読込: マニフェスト内の バンドルバージョン (Bundle-Version アトリビュート) を取得することができませんでした。]
     *
     * @return メッセージ文字列。
     */
    public String getMbebmr04() {
        return "[MBEBMR04] " + fBundle.getMbebmr04();
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBMR11]の文字列を取得します。
     *
     * No.21:
     * 文字列[Manifest読込: 指定されたプラグインディレクトリ[{0}]は存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebmr11(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebmr11]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBMR11] " + fBundle.getMbebmr11(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBMR12]の文字列を取得します。
     *
     * No.22:
     * 文字列[Manifest読込: 指定されたプラグインディレクトリ[{0}]は、実際にはディレクトリではありませんでした。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebmr12(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebmr12]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBMR12] " + fBundle.getMbebmr12(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBMR21]の文字列を取得します。
     *
     * No.23:
     * 文字列[Manifest読込: 指定されたプラグインjarファイル[{0}]は存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebmr21(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebmr21]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBMR21] " + fBundle.getMbebmr21(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBMR22]の文字列を取得します。
     *
     * No.24:
     * 文字列[Manifest読込: 指定されたプラグインjarファイル[{0}]は、実際にはファイルではありませんでした。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebmr22(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebmr22]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBMR22] " + fBundle.getMbebmr22(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBMJ01]の文字列を取得します。
     *
     * No.28:
     * 文字列[プラグインjarファイル化: 指定されたプラグインルートディレクトリ[{0}]は存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebmj01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebmj01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBMJ01] " + fBundle.getMbebmj01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBMJ02]の文字列を取得します。
     *
     * No.29:
     * 文字列[プラグインjarファイル化: 指定されたプラグインルートディレクトリ[{0}]は実際にはディレクトリではありませんでした。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebmj02(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebmj02]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBMJ02] " + fBundle.getMbebmj02(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBMO01]の文字列を取得します。
     *
     * No.32:
     * 文字列[除外辞書[{0}]のロードに失敗しました。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebmo01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebmo01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBMO01] " + fBundle.getMbebmo01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoNLpackGenerator]、キー[MBEBMO02]の文字列を取得します。
     *
     * No.33:
     * 文字列[除外辞書読み込み処理において CSV例外が発生しました。: {0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbebmo02(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbebmo02]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBEBMO02] " + fBundle.getMbebmo02(arg0);
    }
}
